- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reliabilityRisks/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reliabilityRisks/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reliabilityRisks/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reliabilityRisks/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reliabilityRisks/get#body.ReliabilityRisk.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reliabilityRisks/get#body.ReliabilityRisk.SCHEMA_REPRESENTATION.details.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reliabilityRisks/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reliabilityRisks/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/v1/reliabilityRisks/get#try-it)

Returns the specified ReliabilityRisk resource.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/global/reliabilityRisks/{reliabilityRisk}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `reliabilityRisk` | `string` Name of the ReliabilityRisk resource to return. |

### Request body

The request body must be empty.

### Response body

Represents a ReliabilityRisk resource.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "name": string, "id": string, "description": string, "creationTimestamp": string, "details": { "globalDnsInsight": { "projectDefaultIsGlobalDns": boolean, "queryObservationWindow": string, "totalQueryCount": string, "riskyQueryCount": string }, "lastUpdateTimestamp": string, "duration": string, "type": enum, "severity": enum }, "recommendation": { "content": string, "referenceUrl": string }, "selfLink": string, "selfLinkWithId": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of resource. Always `compute#reliabilityRisk` for reliability risks. |
| `name` | `string` Name of the resource. The name must be 1-63 characters long and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `description` | `string` An optional textual description of the resource; provided when the resource is created. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `details` | `object` Output only. Details of the reliability risk resource |
| `details.globalDnsInsight` | `object` Insight details for global DNS risk. |
| `details.globalDnsInsight.projectDefaultIsGlobalDns` | `boolean` Indicates whether the project's default DNS setting is global DNS. |
| `details.globalDnsInsight.queryObservationWindow` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#duration` format)`` The observation window for the query counts. A duration in seconds with up to nine fractional digits, ending with '`s`'. Example: `"3.5s"`. |
| `details.globalDnsInsight.totalQueryCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The total number of queries in the observation window. |
| `details.globalDnsInsight.riskyQueryCount` | `string (https://developers.google.com/discovery/v1/type-format format)` The number of queries that are risky. This is always less than or equal to totalQueryCount. |
| `details.lastUpdateTimestamp` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` The last time the risk was updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `details.duration` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#duration` format)`` The duration of the risk since it was detected. A duration in seconds with up to nine fractional digits, ending with '`s`'. Example: `"3.5s"`. |
| `details.type` | `enum` The type of risk. |
| `details.severity` | `enum` The severity of the risk. |
| `recommendation` | `object` The recommendation to mitigate the risk. |
| `recommendation.content` | `string` Mitigation guide for the risk. |
| `recommendation.referenceUrl` | `string` URL referencing a more detailed mitigation guide. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `selfLinkWithId` | `string` Output only. Server-defined URL for this resource with the resource id. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.reliabilityRisks.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).